hwloc_disc_status Struct Reference
Components and Plugins: Discovery components and backends

`#include <plugins.h>`

## Data Fields

hwloc_disc_phase_t | phase
unsigned | excluded_phases
unsigned long | flags

## Detailed Description

Discovery status structure.

Used by the core and backends to inform about what has been/is being done during the discovery process.

## Field Documentation

## excluded_phases

unsigned hwloc_disc_status::excluded_phases

Dynamically excluded phases. If a component decides during discovery that some phases are no longer needed.

## flags

unsigned long hwloc_disc_status::flags

OR'ed set of hwloc_disc_status_flag_e.

## phase

hwloc_disc_phase_t hwloc_disc_status::phase

The current discovery phase that is performed. Must match one of the phases in the component phases field.

The documentation for this struct was generated from the following file:

- plugins.h